Debian Bug report logs - #420177
nvidia-glx does not work with Xserver 1.3

version graph

Package: nvidia-glx; Maintainer for nvidia-glx is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-glx is src:nvidia-graphics-drivers.

Reported by: Joshua Dunamis <dunamis@tele2.it>

Date: Fri, 20 Apr 2007 14:51:01 UTC

Severity: grave

Tags: lenny

Merged with 420302, 420417, 420450, 428580, 428640, 428697, 428731

Found in version nvidia-graphics-drivers/1.0.8776-1

Fixed in version nvidia-graphics-drivers/100.14.19-1

Done: Randall Donald <rdonald@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dunamis@tele2.it, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Joshua Dunamis <dunamis@tele2.it>:
New Bug report received and forwarded. Copy sent to dunamis@tele2.it, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joshua Dunamis <dunamis@tele2.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdrm2: strange problems with nvidia driver, X crashes
Date: Fri, 20 Apr 2007 16:48:34 +0200
Package: libdrm2
Version: 2.3.0-4
Severity: important


I dont' know if the problem is depending by the upgrade of libdrm and
its changes but after I upgraded it, X crashes unable to load glx and
nvidia module. I use the nvidia proprietary driver. I read the changelog
and puted Disable "dri" becouse the nvidia driver conflits with the dri
module but I cannot still start the X server. Could you help me? 
Excuse for my english, I'm italian. 

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/2 CPU cores)
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages libdrm2 depends on:
ii  libc6                         2.5-2      GNU C Library: Shared libraries

libdrm2 recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 420177@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Joshua Dunamis <dunamis@tele2.it>, 420177@bugs.debian.org
Subject: Re: Bug#420177: libdrm2: strange problems with nvidia driver, X crashes
Date: Fri, 20 Apr 2007 18:12:42 +0200
[Message part 1 (text/plain, inline)]
tags 420177 moreinfo
kthxbye

On Fri, Apr 20, 2007 at 16:48:34 +0200, Joshua Dunamis wrote:

> I dont' know if the problem is depending by the upgrade of libdrm and
> its changes but after I upgraded it, X crashes unable to load glx and
> nvidia module. I use the nvidia proprietary driver. I read the changelog
> and puted Disable "dri" becouse the nvidia driver conflits with the dri
> module but I cannot still start the X server. Could you help me? 
> Excuse for my english, I'm italian. 
> 
Hi,

can you send the output of
"/usr/share/bug/xserver-xorg-core/script 3>&1"
to this bug?

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Tags added: moreinfo Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2007 16:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, dunamis@tele2.it, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Joshua Dunamis <dunamis@tele2.it>:
Extra info received and forwarded to list. Copy sent to dunamis@tele2.it, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 420177@bugs.debian.org (full text, mbox):

From: Joshua Dunamis <dunamis@tele2.it>
To: Debian Bug Tracking System <420177@bugs.debian.org>
Subject: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
Date: Fri, 20 Apr 2007 20:15:39 +0200
[Message part 1 (text/plain, inline)]
Package: libdrm2
Version: 2.3.0-4
Followup-For: Bug #420177


As requested I put the output of my
/usr/share/bug/xserver-xorg-core/script 3>&1

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/2 CPU cores)
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages libdrm2 depends on:
ii  libc6                         2.5-2      GNU C Library: Shared libraries

libdrm2 recommends no packages.

-- no debconf information

*** output.txt
#!/bin/sh

# $Id$

PATH="/sbin:$PATH"
CONFIG_DIR=/etc/X11
SERVER_SYMLINK="$CONFIG_DIR/X"
XORGCONFIG="$CONFIG_DIR/xorg.conf"
CONFIG_AUX_DIR=/var/lib/x11
SERVER_SYMLINK_CHECKSUM="$CONFIG_AUX_DIR/${SERVER_SYMLINK##*/}.md5sum"
SERVER_SYMLINK_ROSTER="$CONFIG_AUX_DIR/${SERVER_SYMLINK##*/}.roster"
XORGCONFIG_CHECKSUM="$CONFIG_AUX_DIR/${XORGCONFIG##*/}.md5sum"
XORGCONFIG_ROSTER="$CONFIG_AUX_DIR/${XORGCONFIG##*/}.roster"

if [ -e "$SERVER_SYMLINK_ROSTER" ]; then
    printf "Contents of $SERVER_SYMLINK_ROSTER:\n" >&3
    cat "$SERVER_SYMLINK_ROSTER" >&3
else
    printf "$SERVER_SYMLINK_ROSTER does not exist.\n" >&3
fi

printf "\n" >&3

if [ -e "$SERVER_SYMLINK" ]; then
    if [ -e "$SERVER_SYMLINK_CHECKSUM" ]; then
        if [ "$(readlink "$SERVER_SYMLINK" | md5sum)" = \
             "$(cat "$SERVER_SYMLINK_CHECKSUM")" ]; then
            printf "%s target unchanged from checksum in %s.\n" \
              "$SERVER_SYMLINK" "$SERVER_SYMLINK_CHECKSUM" >&3
        else
            printf "%s target does not match checksum in %s.\n" \
              "$SERVER_SYMLINK" "$SERVER_SYMLINK_CHECKSUM" >&3
        fi
    else
        printf "$SERVER_SYMLINK_CHECKSUM does not exist.\n" >&3
    fi
    printf "\n" >&3
    printf "X server symlink status:\n" >&3
    ls -dl "$SERVER_SYMLINK" >&3
    ls -dl "$(readlink "$SERVER_SYMLINK")" >&3
else
    printf "$SERVER_SYMLINK does not exist.\n" >&3
fi

if ! [ -L "$SERVER_SYMLINK" ]; then
    printf "$SERVER_SYMLINK is not a symlink.\n" >&3
fi

if ! [ -x "$SERVER_SYMLINK" ]; then
    printf "$SERVER_SYMLINK is not executable.\n" >&3
fi

printf "\n" >&3

if [ -e "$XORGCONFIG_ROSTER" ]; then
    printf "Contents of $XORGCONFIG_ROSTER:\n" >&3
    cat "$XORGCONFIG_ROSTER" >&3
else
    printf "$XORGCONFIG_ROSTER does not exist.\n" >&3
fi

printf "\n" >&3

if which lspci > /dev/null 2>&1; then
    printf "VGA-compatible devices on PCI bus:\n" >&3
    LC_ALL=C lspci | grep 'VGA compatible controller:' >&3
    LC_ALL=C lspci -n | grep 'Class 0300:' >&3
else
    printf "The lspci command was not found; not including PCI data.\n" >&3
fi

printf "\n" >&3

if [ -e "$XORGCONFIG" ]; then
    if [ -e "$XORGCONFIG_CHECKSUM" ]; then
        if [ "$(md5sum "$XORGCONFIG")" = "$(cat "$XORGCONFIG_CHECKSUM")" ]; then
            printf "%s unchanged from checksum in %s.\n" "$XORGCONFIG" \
              "$XORGCONFIG_CHECKSUM" >&3
        else
            printf "%s does not match checksum in %s.\n" "$XORGCONFIG" \
              "$XORGCONFIG_CHECKSUM" >&3
        fi
    else
        printf "$XORGCONFIG_CHECKSUM does not exist.\n" >&3
    fi
    printf "\n" >&3
    printf "Xorg X server configuration file status:\n" >&3
    ls -dl "$XORGCONFIG" >&3
    printf "\n" >&3
    printf "Contents of $XORGCONFIG:\n" >&3
    iconv -c -t ascii "$XORGCONFIG" >&3
    printf "\n" >&3
else
    printf "$XORGCONFIG does not exist.\n" >&3
fi

printf "\n" >&3

XORG_LOGS=$(ls -dt /var/log/Xorg.*.log 2>/dev/null)

if [ -n "$XORG_LOGS" ]; then
    printf "Xorg X server log files on system:\n" >&3
    ls -dlrt /var/log/Xorg.*.log >&3 2>/dev/null
    printf "\n" >&3
    for LOG in $XORG_LOGS; do
        if [ -f "$LOG" ]; then
            printf "Contents of most recent Xorg X server log file\n" >&3
            printf "%s:\n" "$LOG" >&3
            cat "$LOG" >&3
            # the log files are large; only show the most recent
            break
        fi
    done
else
    printf "No Xorg X server log files found.\n" >&3
fi

printf "\n" >&3

# vim:set ai et sts=4 sw=4 tw=0:
[output.txt (application/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 420177@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Joshua Dunamis <dunamis@tele2.it>, 420177@bugs.debian.org
Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
Date: Fri, 20 Apr 2007 20:26:23 +0200
[Message part 1 (text/plain, inline)]
On Fri, Apr 20, 2007 at 20:15:39 +0200, Joshua Dunamis wrote:

> Package: libdrm2
> Version: 2.3.0-4
> Followup-For: Bug #420177
> 
> 
> As requested I put the output of my
> /usr/share/bug/xserver-xorg-core/script 3>&1
> 
What you sent is actually the *contents* of this file.  You need to run
this script, and it will output your X config and log, which is the
information we need.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Joshua Dunamis - <dunamis@tele2.it>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 420177@bugs.debian.org (full text, mbox):

From: Joshua Dunamis - <dunamis@tele2.it>
To: Julien Cristau <jcristau@debian.org>, 420177@bugs.debian.org
Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
Date: Sat, 21 Apr 2007 10:49:29 +0200
Excuse me, I don't know how to run it. If I try with sh this is the
output:

joshua@uliak:~$ sudo /usr/share/bug/xserver-xorg-core/script 3>&1
/usr/share/bug/xserver-xorg-core/script: line 16: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 17: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 22: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 31: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 37: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 38: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 39: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 40: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 53: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 56: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 57: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 62: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 65: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 66: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 67: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 72: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 80: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 86: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 87: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 88: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 89: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 90: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 91: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 92: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 97: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 102: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 103: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 104: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 107: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 108: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 109: 3: Descrittore di file non valido
/usr/share/bug/xserver-xorg-core/script: line 118: 3: Descrittore di file non valido


On Friday 20 April 2007, alle 20:26, Julien Cristau wrote:
> Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
> From: Julien Cristau <jcristau@debian.org>
> Date: Fri, 20 Apr 2007 20:26:23 +0200
> To: Joshua Dunamis <dunamis@tele2.it>, 420177@bugs.debian.org
> X-Operating-System: Linux 2.6.18-4-686 i686
> User-Agent: Mutt/1.5.13 (2006-08-11)
> 
> On Fri, Apr 20, 2007 at 20:15:39 +0200, Joshua Dunamis wrote:
> 
> > Package: libdrm2
> > Version: 2.3.0-4
> > Followup-For: Bug #420177
> > 
> > 
> > As requested I put the output of my
> > /usr/share/bug/xserver-xorg-core/script 3>&1
> > 
> What you sent is actually the *contents* of this file.  You need to run
> this script, and it will output your X config and log, which is the
> information we need.
> 
> Thanks,
> Julien





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to emisca <emisca.ml@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 420177@bugs.debian.org (full text, mbox):

From: emisca <emisca.ml@gmail.com>
To: 420177@bugs.debian.org
Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
Date: Sat, 21 Apr 2007 11:33:39 +0200
You should only run:
sudo /usr/share/bug/xserver-xorg-core/script

or instead:
sudo /usr/share/bug/xserver-xorg-core/script > nomefile

if you want to save the output on a file...

2007/4/21, Joshua Dunamis - <dunamis@tele2.it>:
> Excuse me, I don't know how to run it. If I try with sh this is the
> output:
>
> joshua@uliak:~$ sudo /usr/share/bug/xserver-xorg-core/script 3>&1
> /usr/share/bug/xserver-xorg-core/script: line 16: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 17: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 22: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 31: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 37: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 38: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 39: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 40: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 53: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 56: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 57: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 62: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 65: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 66: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 67: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 72: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 80: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 86: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 87: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 88: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 89: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 90: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 91: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 92: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 97: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 102: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 103: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 104: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 107: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 108: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 109: 3: Descrittore di file non valido
> /usr/share/bug/xserver-xorg-core/script: line 118: 3: Descrittore di file non valido
>
>
> On Friday 20 April 2007, alle 20:26, Julien Cristau wrote:
> > Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
> > From: Julien Cristau <jcristau@debian.org>
> > Date: Fri, 20 Apr 2007 20:26:23 +0200
> > To: Joshua Dunamis <dunamis@tele2.it>, 420177@bugs.debian.org
> > X-Operating-System: Linux 2.6.18-4-686 i686
> > User-Agent: Mutt/1.5.13 (2006-08-11)
> >
> > On Fri, Apr 20, 2007 at 20:15:39 +0200, Joshua Dunamis wrote:
> >
> > > Package: libdrm2
> > > Version: 2.3.0-4
> > > Followup-For: Bug #420177
> > >
> > >
> > > As requested I put the output of my
> > > /usr/share/bug/xserver-xorg-core/script 3>&1
> > >
> > What you sent is actually the *contents* of this file.  You need to run
> > this script, and it will output your X config and log, which is the
> > information we need.
> >
> > Thanks,
> > Julien
>
>
>
>
> --
> To UNSUBSCRIBE, email to debian-x-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>
>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 420177@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Joshua Dunamis - <dunamis@tele2.it>
Cc: emisca <emisca.ml@gmail.com>, 420177@bugs.debian.org
Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
Date: Sat, 21 Apr 2007 11:53:38 +0200
With sudo, that would be something like (the direction has to be within
sudo):
    sudo bash -c "/usr/share/bug/xserver-xorg-core/script 3>&1"
or
    sudo bash -c "/usr/share/bug/xserver-xorg-core/script 3>&1" > file

Brice



emisca wrote:
> You should only run:
> sudo /usr/share/bug/xserver-xorg-core/script
>
> or instead:
> sudo /usr/share/bug/xserver-xorg-core/script > nomefile
>
> if you want to save the output on a file...
>
> 2007/4/21, Joshua Dunamis - <dunamis@tele2.it>:
>> Excuse me, I don't know how to run it. If I try with sh this is the
>> output:
>>
>> joshua@uliak:~$ sudo /usr/share/bug/xserver-xorg-core/script 3>&1
>> /usr/share/bug/xserver-xorg-core/script: line 16: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 17: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 22: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 31: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 37: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 38: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 39: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 40: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 53: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 56: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 57: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 62: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 65: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 66: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 67: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 72: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 80: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 86: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 87: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 88: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 89: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 90: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 91: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 92: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 97: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 102: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 103: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 104: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 107: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 108: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 109: 3: Descrittore di
>> file non valido
>> /usr/share/bug/xserver-xorg-core/script: line 118: 3: Descrittore di
>> file non valido
>>
>>
>> On Friday 20 April 2007, alle 20:26, Julien Cristau wrote:
>> > Subject: Re: Bug#420177: libdrm2: the output of my
>> /usr/share/bug/xserver-xorg-core/script 3>&1
>> > From: Julien Cristau <jcristau@debian.org>
>> > Date: Fri, 20 Apr 2007 20:26:23 +0200
>> > To: Joshua Dunamis <dunamis@tele2.it>, 420177@bugs.debian.org
>> > X-Operating-System: Linux 2.6.18-4-686 i686
>> > User-Agent: Mutt/1.5.13 (2006-08-11)
>> >
>> > On Fri, Apr 20, 2007 at 20:15:39 +0200, Joshua Dunamis wrote:
>> >
>> > > Package: libdrm2
>> > > Version: 2.3.0-4
>> > > Followup-For: Bug #420177
>> > >
>> > >
>> > > As requested I put the output of my
>> > > /usr/share/bug/xserver-xorg-core/script 3>&1
>> > >
>> > What you sent is actually the *contents* of this file.  You need to
>> run
>> > this script, and it will output your X config and log, which is the
>> > information we need.
>> >
>> > Thanks,
>> > Julien
>>
>>
>>
>>
>> -- 
>> To UNSUBSCRIBE, email to debian-x-REQUEST@lists.debian.org
>> with a subject of "unsubscribe". Trouble? Contact
>> listmaster@lists.debian.org
>>
>>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Joshua Dunamis - <dunamis@tele2.it>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 420177@bugs.debian.org (full text, mbox):

From: Joshua Dunamis - <dunamis@tele2.it>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>, 420177@bugs.debian.org
Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
Date: Sat, 21 Apr 2007 12:38:38 +0200
[Message part 1 (text/plain, inline)]
OK, now I can put the correct output. Here it is in the attached file
[output-xorg.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 420177@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Joshua Dunamis - <dunamis@tele2.it>
Cc: 420177@bugs.debian.org
Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
Date: Sat, 21 Apr 2007 13:03:16 +0200
Joshua Dunamis - wrote:
> OK, now I can put the correct output. Here it is in the attached file
>   

Thank you!

> Section "Device"
>     Identifier     "NVIDIA GeForce 7300 GS"
>     Driver         "nvidia"
> EndSection
>   

Could you try with the "nv" driver instead? You might have to take it
from experimental (xserver-xorg-video-nv 1:2.0.2-1).

> Section "Extensions"
>     Option         "RENDER" "true"
>     Option         "DAMAGE" "true"
>   

By the way, I think these options are enabled by default.

> X Window System Version 1.3.0
> Release Date: 19 April 2007
> X Protocol Version 11, Revision 0, Release 1.3
> Build Operating System: Linux Debian
> Current Operating System: Linux uliak 2.6.18-4-686 #1 SMP Mon Mar 26 17:17:36 UTC 2007 i686
> Build Date: 20 April 2007
>   

You are using xserver-xorg-core 1.3.0, I guess this is the upgrade that
causes this problem, not libdrm2. The problem is probably that the
nvidia driver is not ready for this new X server. Could you try
downgrading xserver-xorg-core to testing 2:1.1.1-21?

> (II) LoadModule: "glx"
> (WW) Warning, couldn't open module glx
> (II) UnloadModule: "glx"
> (EE) Failed to load module "glx" (module does not exist, 0)
>   
> (II) LoadModule: "nvidia"
> (WW) Warning, couldn't open module nvidia
> (II) UnloadModule: "nvidia"
> (EE) Failed to load module "nvidia" (module does not exist, 0)
>   

I guess both these modules are provided by the nvidia package which is
probably incompatible with xserver-xorg-core 1.3.


So, if you want DRI and don't care about using an ugly binary driver,
try downgrading xserver-xorg-core to testing. If you don't need DRI,
just drop the nvidia driver and use the nv one (from experimental for
now, will be in unstable in a couple days).

Next step will probably be to reassign this bug to the nvidia driver and
pray...

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Joshua Dunamis - <dunamis@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 420177@bugs.debian.org (full text, mbox):

From: Joshua Dunamis - <dunamis@tiscali.it>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 420177@bugs.debian.org
Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
Date: Sat, 21 Apr 2007 13:32:11 +0200
> 
> Could you try with the "nv" driver instead? You might have to take it
> from experimental (xserver-xorg-video-nv 1:2.0.2-1).
> 

I already have this version of xserver-xorg-video-nv and I already tried
with nv in xorg.conf. X starts but it's very slow
    
> You are using xserver-xorg-core 1.3.0, I guess this is the upgrade that
> causes this problem, not libdrm2. The problem is probably that the
> nvidia driver is not ready for this new X server. Could you try
> downgrading xserver-xorg-core to testing 2:1.1.1-21?

I'm think you're right, While I upgraded libdrm, I upgraded
xserver-xorg-core too. I reported this bug in libdrm only due to the
changelog read in this package thinking something about the permissions
changes from 660 to 666. 

> 
> I guess both these modules are provided by the nvidia package which is
> probably incompatible with xserver-xorg-core 1.3.
> 
> 
> So, if you want DRI and don't care about using an ugly binary driver,
> try downgrading xserver-xorg-core to testing. If you don't need DRI,
> just drop the nvidia driver and use the nv one (from experimental for
> now, will be in unstable in a couple days).
> 

The nv module is very slow and not accellerated. 

> Next step will probably be to reassign this bug to the nvidia driver and
> pray...

This is a great idea

> 
> Brice

Thank you



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420177; Package libdrm2. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 420177@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 420177@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#420177: libdrm2: the output of my /usr/share/bug/xserver-xorg-core/script 3>&1
Date: Sat, 21 Apr 2007 13:38:03 +0200
reassign 420177 nvidia-glx
retitle 420177 nvidia-glx does not work with Xserver 1.3
thank you


As explained earlier, xserver-xorg-core 1.3 now in unstable does not
work with nvidia-glx. I am reassigning this bug to nvidia-glx which
needs to be updated.

Brice




Bug reassigned from package `libdrm2' to `nvidia-glx'. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sat, 21 Apr 2007 11:42:12 GMT) Full text and rfc822 format available.

Changed Bug title to nvidia-glx does not work with Xserver 1.3 from libdrm2: strange problems with nvidia driver, X crashes. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sat, 21 Apr 2007 11:42:13 GMT) Full text and rfc822 format available.

Tags removed: moreinfo Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sat, 21 Apr 2007 14:33:08 GMT) Full text and rfc822 format available.

Forcibly Merged 420177 420302. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sat, 21 Apr 2007 14:33:09 GMT) Full text and rfc822 format available.

Forcibly Merged 420177 420302 420417. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sun, 22 Apr 2007 08:30:05 GMT) Full text and rfc822 format available.

Forcibly Merged 420177 420302 420417 420450. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sun, 22 Apr 2007 12:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#420177; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #74 received at 420177@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 420177@bugs.debian.org
Subject: Re: Bug#420177: nvidia-glx does not work with Xserver 1.3
Date: Mon, 23 Apr 2007 18:00:42 -0400
reopen 420177 Joshua Dunamis <dunamis@tele2.it>

Sorry -- was only trying to close #420450.  The forcemerge caused all merged 
bugs to be closed.  Still learning how to use the BTS.

I believe packages nvidia-kernel-2.6.18-4-* now need updating to fix this 
particular bug.

   -- Chris

-- 

Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#420177; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to charles@kde.org:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #79 received at 420177@bugs.debian.org (full text, mbox):

From: charles@kde.org
To: 420177@bugs.debian.org
Subject: Workaround
Date: Thu, 26 Apr 2007 12:18:21 -0700
# cd /usr/lib/xorg/modules/drivers
# gcc -shared -o nvidia_drv.so nvidia_drv.o

Charles




Bug reopened, originator not changed. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 15 May 2007 11:57:01 GMT) Full text and rfc822 format available.

Severity set to `grave' from `important' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 15 May 2007 12:09:02 GMT) Full text and rfc822 format available.

Forcibly Merged 420177 420302 420417 420450 428580. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Tue, 12 Jun 2007 18:57:07 GMT) Full text and rfc822 format available.

Forcibly Merged 420177 420302 420417 420450 428580 428640. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Wed, 13 Jun 2007 07:12:04 GMT) Full text and rfc822 format available.

Forcibly Merged 420177 420302 420417 420450 428580 428640 428697. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Wed, 13 Jun 2007 18:03:08 GMT) Full text and rfc822 format available.

Forcibly Merged 420177 420302 420417 420450 428580 428640 428697 428731. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sat, 16 Jun 2007 11:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#420177; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to "Jan Obdrzalek" <obdrzalek@gmail.com>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #96 received at 420177@bugs.debian.org (full text, mbox):

From: "Jan Obdrzalek" <obdrzalek@gmail.com>
To: 420177@bugs.debian.org
Subject: Workaround not working on amd64
Date: Mon, 18 Jun 2007 09:42:01 +0200
[Message part 1 (text/plain, inline)]
Hi,
when I try
$gcc -shared -o nvidia_drv.so nvidia_drv.o

I get

/usr/bin/ld: nvidia_drv.o: relocation R_X86_64_32S against `a local symbol'
can not be used when making a shared object; recompile with -fPIC
nvidia_drv.o: could not read symbols: Bad value
collect2: ld returned 1 exist status

I'm running testing (with few packages from unstable) on amd64 architecture.

Any way to fix this?

Regards, Jan
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#420177; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to "Ellen Zhao" <enzhao@gmail.com>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #101 received at 420177@bugs.debian.org (full text, mbox):

From: "Ellen Zhao" <enzhao@gmail.com>
To: 420177@bugs.debian.org
Subject: solution for amd64
Date: Fri, 22 Jun 2007 11:54:13 +0200
3 steps to get rid of this bug on amd64:

http://ningning.org/blog2/?p=111

Regards,
Ellen



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#420177; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to "Ellen Zhao" <enzhao@gmail.com>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #106 received at 420177@bugs.debian.org (full text, mbox):

From: "Ellen Zhao" <enzhao@gmail.com>
To: 420177@bugs.debian.org
Subject: the solution above works for all, not only amd64
Date: Fri, 22 Jun 2007 21:08:06 +0200
Hi,

I forgot to mention that the solution I submitted above has been
tested on more than 5 Debian machines, it worked not only for amd64
but also x86, you just need to download the correct official driver
according to your architecture.

Good luck!
Ellen



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#420177; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Xr <xr@i-jeuxvideo.com>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #111 received at 420177@bugs.debian.org (full text, mbox):

From: Xr <xr@i-jeuxvideo.com>
To: 420177@bugs.debian.org
Subject: Fix is working
Date: Sun, 24 Jun 2007 16:32:43 +0200
>
> 3 steps to get rid of this bug on amd64:
>
> http://ningning.org/blog2/?p=111
>
> Regards,
> Ellen
Thanks, it works like a charm.

A few comments, though :
- I did not disable "glx" but "dri" (glx is loaded)
- The amd64 version of 8776 is available at 
http://www.nvidia.com/object/linux_display_amd64_1.0-8776.html . Your 
link only lists the latest versions of the driver.



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#420177; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to "Phil Miller" <bugs-debian@millenix.mailshell.com>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #116 received at 420177@bugs.debian.org (full text, mbox):

From: "Phil Miller" <bugs-debian@millenix.mailshell.com>
To: 420177@bugs.debian.org
Subject: nvidia_drv.so from nvidia-glx 100.14.09-1 seems to be fine
Date: Sat, 30 Jun 2007 20:26:43 -0700
I just upgraded to nvidia-glx version 100.14.09-1, with
xserver-xorg-core at 2:1.3.0.0.dfsg-6, and everything seems to be
working fine.

Phil



Tags added: lenny, sid Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sun, 01 Jul 2007 23:24:05 GMT) Full text and rfc822 format available.

Tags removed: sid Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. (Mon, 02 Jul 2007 23:57:02 GMT) Full text and rfc822 format available.

Bug marked as found in version 1.0.8776-1. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. (Tue, 03 Jul 2007 00:03:02 GMT) Full text and rfc822 format available.

Bug marked as not found in version 1.0.9755-1. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. (Tue, 03 Jul 2007 00:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#420177; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #129 received at 420177@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 420177@bugs.debian.org
Subject: Mark as done in 100.14.11-1 ?
Date: Sat, 28 Jul 2007 10:56:15 +0000
[Message part 1 (text/plain, inline)]
Should this bug be marked as fixed in nvidia-glx/100.14.11-1?

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078

[signature.asc (application/pgp-signature, inline)]

Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joshua Dunamis <dunamis@tele2.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #134 received at 420177-close@bugs.debian.org (full text, mbox):

From: Randall Donald <rdonald@debian.org>
To: 420177-close@bugs.debian.org
Subject: Bug#420177: fixed in nvidia-graphics-drivers 100.14.19-1
Date: Sun, 23 Sep 2007 01:32:06 +0000
Source: nvidia-graphics-drivers
Source-Version: 100.14.19-1

We believe that the bug you reported is fixed in the latest version of
nvidia-graphics-drivers, which is due to be installed in the Debian FTP archive:

nvidia-glx-dev_100.14.19-1_amd64.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-glx-dev_100.14.19-1_amd64.deb
nvidia-glx-dev_100.14.19-1_i386.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-glx-dev_100.14.19-1_i386.deb
nvidia-glx-ia32_100.14.19-1_amd64.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-glx-ia32_100.14.19-1_amd64.deb
nvidia-glx_100.14.19-1_amd64.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-glx_100.14.19-1_amd64.deb
nvidia-glx_100.14.19-1_i386.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-glx_100.14.19-1_i386.deb
nvidia-graphics-drivers_100.14.19-1.diff.gz
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_100.14.19-1.diff.gz
nvidia-graphics-drivers_100.14.19-1.dsc
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_100.14.19-1.dsc
nvidia-graphics-drivers_100.14.19.orig.tar.gz
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_100.14.19.orig.tar.gz
nvidia-kernel-source_100.14.19-1_amd64.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-kernel-source_100.14.19-1_amd64.deb
nvidia-kernel-source_100.14.19-1_i386.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-kernel-source_100.14.19-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 420177@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Randall Donald <rdonald@debian.org> (supplier of updated nvidia-graphics-drivers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 22 Sep 2007 17:16:06 -0700
Source: nvidia-graphics-drivers
Binary: nvidia-glx nvidia-glx-ia32 nvidia-kernel-source nvidia-glx-dev
Architecture: source amd64 i386
Version: 100.14.19-1
Distribution: unstable
Urgency: low
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Changed-By: Randall Donald <rdonald@debian.org>
Description: 
 nvidia-glx-ia32 - NVIDIA binary XFree86 4.x driver
 nvidia-glx - NVIDIA binary Xorg driver
 nvidia-glx-dev - NVIDIA binary Xorg driver development files
 nvidia-kernel-source - NVIDIA binary kernel module source
Closes: 420177 435650 441400 442846
Changes: 
 nvidia-graphics-drivers (100.14.19-1) unstable; urgency=low
 .
   * new upstream.
   * Xorg 7.3 compatible (closes: #420177 )
   * divert libwfb.so and libGLcore.so (closes: #442846, #441400)
   * change maintainer to packaging team.
   * change x11-common depends to 1:7.3+2
   * change provides to xserver-xorg-video-2
   * remove use of update-modules (closes: #435650)
Files: 
 77e2fe6698a357e54acbe9031b1bc527 3146818 non-free/x11 optional nvidia-glx-ia32_100.14.19-1_amd64.deb
 a7ef8347143b0d2b5d5a5be3f9d08e51 4933840 non-free/x11 optional nvidia-glx_100.14.19-1_amd64.deb
 a062b5f4cdf0323534b4ff06b3769129 138602 non-free/x11 optional nvidia-glx-dev_100.14.19-1_amd64.deb
 1e6b56802ffe2a5fcee5d71ac19add0e 2402130 non-free/x11 optional nvidia-kernel-source_100.14.19-1_amd64.deb
 57150be104b0b95a7f0e1474796c4376 900 non-free/x11 optional nvidia-graphics-drivers_100.14.19-1.dsc
 78d5423a385fe195499ea3af48af7205 18640505 non-free/x11 optional nvidia-graphics-drivers_100.14.19.orig.tar.gz
 76e70127d00ef9add059ec60c6ff5af9 86071 non-free/x11 optional nvidia-graphics-drivers_100.14.19-1.diff.gz
 c92921b4d4230d838996aa9822bb2494 4266354 non-free/x11 optional nvidia-glx_100.14.19-1_i386.deb
 25f6f4925a267248e98b935eff116827 126182 non-free/x11 optional nvidia-glx-dev_100.14.19-1_i386.deb
 948c4a74411303679640b388436b8391 2375804 non-free/x11 optional nvidia-kernel-source_100.14.19-1_i386.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG9bLCU+6HYGwn3qsRAsGGAJ93IMz4/DTxNMW2DzI3K3qfmrwhPQCfSKus
GM+IMcbKBl05YvLcY7KTWCM=
=Gg0S
-----END PGP SIGNATURE-----





Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Fabiano Manoel de Andrade <fabianoma@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hans <hans.ullrich@loop.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chris.Knadle@coredump.us:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to matthieu.imbert@gmail.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tristan Schmelcher <tpkschme@engmail.uwaterloo.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Andrea Onofrii" <andreaonof@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eeltje de Vries <eeltje_de_vries@hotmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#420177; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Amit Gurdasani <amitg@alumni.cmu.edu>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #174 received at 420177@bugs.debian.org (full text, mbox):

From: Amit Gurdasani <amitg@alumni.cmu.edu>
To: 420177@bugs.debian.org
Subject: Re: nvidia-glx does not work with Xserver 1.3
Date: Tue, 1 Apr 2008 00:43:38 +0530 (IST)
Is this bug still true? I had to downgrade to Xorg 7.2 from 
snapshot.debian.net wholesale[1], and after generating equivs, the 169.12 
installer off nvidia.com works fine with this version (2:1.3.0.0.dfsg-12). 
It'd be great if I could just install nvidia-glx instead, but its dependency 
on xserver-xorg-core (>= 2:1.4) prevents me from doing so.

If it can be expected to work, would it be possible to remove that 
dependency so that the package can work with older Xorg packages?

Thanks,

Amit



[1] Xorg 7.3 is junk. I have been hit by the following bugs:

1. Keyboard LEDs not working, from the initial release for two months (bug
   #440743 etc., fortunately resolved)
2. OpenOffice.org menu access crashing the X server (bug #467058 etc.)
3. Stuck keys (right arrow, Super, Ctrl, Alt and so on, bug #462441)
4. X server crashes in Xkb code (bugs #461783 etc.)

I got frustrated enough to downgrade to Xorg 7.2. To my dismay I found 
nvidia-glx's dependency on xserver-xorg-core 2:1.4 or newer, which I hate 
with a passion. So I had to generate a few equivs and hold them, and use 
NVIDIA's installer to install the driver, which works fine.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 07:30:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:57:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.